<?php
/**************************************************
  Coppermine 1.5.x Plugin - Google +1 Button
  *************************************************
  Copyright (c) 2011 Jeff Bailey
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

global $lang_plugin_plus;

require "./plugins/plus_one_button/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/plus_one_button/lang/{$CONFIG['lang']}.php")) {
	require "./plugins/plus_one_button/lang/{$CONFIG['lang']}.php";
}

// Define plugin actions here

// Define plugin filters here
    $thisplugin->add_filter('file_data','plus_one_button_file_data');

function plus_one_button_file_data($CURRENT_PIC_DATA) {
    global $CONFIG, $CURRENT_PIC_DATA;
    $start_enclosure = <<<EOT
    <div id="plus_button" style="width:{$CONFIG['picture_width']}px;margin: 0 auto;padding-bottom:5px;">
        <script type="text/javascript">
          (function() {
            var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
            po.src = 'https://apis.google.com/js/plusone.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
          })();
        </script>
        <div class="g-plusone" data-size="small" data-annotation="inline"></div>
    </div>
EOT;
    
    $CURRENT_PIC_DATA['html'] = $CURRENT_PIC_DATA['html'].$start_enclosure;
    return $CURRENT_PIC_DATA;
}
?>

